<?php
/**
 * 报表实现类 例子
 *
 * ============================================================================
 * 版权所有 2017北京素玄科技，并保留所有权利。
 *
 * 网站地址: http://www.suxuantech.com
 * ----------------------------------------------------------------------------
 * 这不是一个自由软件！未经允许的情况下，您不能对本系统代码做任何修改 .
 * 不允许对程序代码以任何形式任何目的的再发布。
 * 如有修改需求，请联系素玄科技有限公司：contact@suxuantech.cn
 * ============================================================================
 * $Author: lilong/wangzhenya 2018-05-24 $
 */
namespace app\crm\lib\report;
use app\crm\lib\Report;
use think\Controller;

class Example extends Report {

    // 1：集团；2：事业部；3：店/部门；
    private $level=1;
    // 1：电商；2：实体店；3：网销；4：渠道（即深挖）
    private $type=1;
    private $code='code';

    public function getLevel(){
        return $this->level;
    }
    public function getType(){
        return $this->type;
    }
    public function getCode(){
        return $this->code;
    }
    public function data()
    {
        # code...
    }
    public function show(){
        $html = strtolower(input('param.id'));
        $display = APP_PATH.'crm'.DS.'view'.DS.'report'.DS.$html.'.html';
        // echo $display;
        $this->assign('abc',$html);
        return $this->fetch($display);
    }

}